using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace numerecomplexe
{
    class Fractie
    {
        int numarator, numitor;

        public void Citeste()
        {
            numarator = int.Parse(Console.ReadLine());
            numitor = int.Parse(Console.ReadLine());
        }
        public void Scrie()
        {
            Console.WriteLine(numarator + " / " + numitor);

        }

        public double Valoare()
        {
            return (double)numarator/numitor;
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            Fractie fr = new Fractie();
            fr.Citeste();
            fr.Scrie();
            Console.WriteLine(fr.Valoare());
        }
    }
}
